From aa2910ed6e9a20d3834f84a4fef2abc5a39da6dd Mon Sep 17 00:00:00 2001
From: Dmitry Shachnev <mitya57@gmail.com>
Date: Thu, 8 Oct 2015 12:07:56 -0700
Subject: make tests return non-zero value on failures, and increase verbosity

Forwarded: not-needed
Last-Update: 2013-05-24

Patch-Name: testsuite_improvements.patch
---
 tests/module_test_runner.py | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/tests/module_test_runner.py b/tests/module_test_runner.py
index 881a70d..9f77a5d 100755
--- a/tests/module_test_runner.py
+++ b/tests/module_test_runner.py
@@ -41,7 +41,7 @@ class ModuleTestRunner(object):
     It also sets any module variables which match the settings keys to the
     corresponding values in the settings member.
     """
-    runner = unittest.TextTestRunner()
+    runner = unittest.TextTestRunner(verbosity=2)
     for module in self.modules:
       # Set any module variables according to the contents in the settings
       for setting, value in self.settings.iteritems():
@@ -53,5 +53,6 @@ class ModuleTestRunner(object):
           pass
       # We have set all of the applicable settings for the module, now
       # run the tests.
-      print '\nRunning all tests in module', module.__name__
-      runner.run(unittest.defaultTestLoader.loadTestsFromModule(module))    
+      result = runner.run(unittest.defaultTestLoader.loadTestsFromModule(module))
+      if not result.wasSuccessful():
+        raise Exception('Tests failed!')
